summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorStefan Haller <stefan@haller-berlin.de>2024-01-15 12:53:21 +0100
committerJesse Duffield <jessedduffield@gmail.com>2024-01-16 18:23:53 +1100
commitcf59b40a1b91735c4e2ece93f377c97b4eb892d7 (patch)
tree0b76029cb764863575eea558d9483f330f61fd8d /scripts
parent53acbc8f18abed06c1245f8df47d7035893f32a2 (diff)
Fix exit code of run_integration_tests.sh when capturing code coverage data
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/run_integration_tests.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/run_integration_tests.sh b/scripts/run_integration_tests.sh
index e94d47786..d7c45257d 100755
--- a/scripts/run_integration_tests.sh
+++ b/scripts/run_integration_tests.sh
@@ -18,6 +18,7 @@ if [ -n "$LAZYGIT_GOCOVERDIR" ]; then
# arg, but if we do that then the GOCOVERDIR env var (which you typically pass to the test binary) will be overwritten by the test runner. So we're passing LAZYGIT_COCOVERDIR instead
# and then internally passing that to the test binary as GOCOVERDIR.
go test -cover -coverpkg=github.com/jesseduffield/lazygit/pkg/... pkg/integration/clients/*.go -args -test.gocoverdir="/tmp/code_coverage"
+ EXITCODE=$?
# We're merging the coverage data for the sake of having fewer artefacts to upload.
# We can't merge inline so we're merging to a tmp dir then moving back to the original.
@@ -27,10 +28,9 @@ if [ -n "$LAZYGIT_GOCOVERDIR" ]; then
mv /tmp/code_coverage_merged /tmp/code_coverage
else
go test pkg/integration/clients/*.go
+ EXITCODE=$?
fi
-EXITCODE=$?
-
if test -f ~/.gitconfig.lazygit.bak; then
mv ~/.gitconfig.lazygit.bak ~/.gitconfig
fi